<p align="center">
    <a href="https://mailymaily.com">
       <img src="https://mailymaily.com/assets/img/heading.jpg" alt="mailymaily">
    </a>
</p>

<p align="center">A simple way to enhance your mailto links with a convenient user interface.</p>

<p align="center">
	<a href="https://github.com/mariordev/mailymaily/releases"><img src="https://img.shields.io/npm/v/mailymaily.svg" alt="Latest release"></a>
	<a href="https://www.npmjs.com/package/mailymaily"><img src="https://img.shields.io/npm/dt/mailymaily.svg" alt="Total downloads"></a>
	<a href="https://github.com/mariordev/mailymaily/blob/master/LICENSE"><img src="https://img.shields.io/github/license/mariordev/mailymaily.svg" alt="License"></a>
	<a href="https://twitter.com/intent/tweet?text=Check%20this%20out!%20&url=https%3A%2F%2Fmailymaily.com"><img src="https://img.shields.io/twitter/url/https/mailymaily.com.svg?style=social" alt="Share on Twitter"></a>
</p>

## Introduction

mailymaily is a JavaScript library that enhances your mailto links with a convenient user interface. It gives your users the flexibility to compose a new message using a browser-based email client <strong><i>or</i></strong> their default local email app.

mailymaily is ideal for static sites or any other site where you don't want to spend time setting up a "Contact Us" form solution.

## Quick Setup

### STEP 1

Add mailymaily via CDN to the bottom of your page, just before the closing `</body>` tag. 

IMPORTANT: Be sure to replace `[version]` with the latest version number.

```html
<body>
    ...
    ...
    <script src="https://cdn.jsdelivr.net/npm/mailymaily@[version]/dist/mailymaily-min.js"></script>
</body>
```

### STEP 2

Attach your mailto link to mailymaily by adding the class `mailymaily` to the `<a>` tag.

```html
<a class="mailymaily" href="mailto:tony.stark@example.com">Contact Tony</a>
```

That's it! Your mailto link is now using mailymaily. Refresh your page and try it out.


## Documentation

For full documentation, visit [mailymaily.com](https://mailymaily.com).

## Contributing

If you're interested in contributing to mailymaily, please follow the directions in the [contributing docs](https://github.com/mariordev/mailymaily/blob/master/.github/CONTRIBUTING.md) **before working on a pull request**.

## License

[MIT](https://github.com/mariordev/mailymaily/blob/master/LICENSE)
